News

The LMS and browser compatibility

When using the LMS, browsers can perform differently depending on which version is being used. As a rule, it is generally recommended to use either Firefox, Chrome or Safari when using the LMS. Because these browsers often do their own updates intermittently, it sometimes becomes necessary to switch between them according to which one works best with the LMS.

Currently, a known issue exists in the LMS regarding the use of Safari and Edge browsers. After upgrading to Safari version 11.1 and Microsoft Edge version 42, both staff and students may have trouble uploading or using the drag-and-drop tool to upload files into different areas of the LMS, including:

  • Uploading a file while attempting to submit a Turnitin assignment
  • Uploading a file while attempting to submit a Blackboard assignment
  • Uploading a file while attempting to create a Blackboard assignment
  • Uploading files to the content collection
  • Uploading a file while replying to a discussion board post
  • Creating a blog post that requires uploading a file.

Other areas of the LMS, such as uploading files to content items remain unaffected.

The recommended workaround is to use Firefox or Chrome when performing these actions.

Please submit any issues for investigation using our support request form.

View all News

Written by
Fiona Broussard


Learning Environments support centre